Skip to main content
GET
/
api
/
v2
/
client-account-configurations
/
{client_account_configuration_id}
/
resources
Get Assigned Resources for Client Account Configuration
curl --request GET \
  --url https://api.voiceaiwrapper.app/api/v2/client-account-configurations/{client_account_configuration_id}/resources \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "Assigned resources retrieved successfully",
  "data": {
    "asset_group_id": "<string>",
    "assigned_resources": {
      "assistant": [
        "asst_abc123"
      ],
      "vapi_workflow": [],
      "vapi_squad": [],
      "phone_number": [],
      "phone_number_pool": [],
      "knowledge_base": [],
      "tools_and_functions": [],
      "campaign": [
        "Vm9pY2VDYW1wYWlnbjoxMjM="
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

client_account_configuration_id
string
required

Global ID of the client account configuration. Required.

Example:

"Q2xpZW50QXNzZXRHcm91cDoxMjM="

Response

Assigned resources retrieved successfully. Returns a map of resource types to global ID arrays.

status
string
Example:

"success"

message
string
Example:

"Assigned resources retrieved successfully"

data
object